package CHAPTER05;

//PrivateExample 클래스 정의
public class PrivateExample {
	private int secret = 1234; // private 변수 (클래스 내부에서만 접근 가능)

	private void hidden() { // private 메서드 (클래스 내부에서만 접근 가능)
		System.out.println("Private method");
	}

	// public 메서드를 통해 private 멤버에 접근 가능
	public void accessPrivate() {
		System.out.println(secret); // 같은 클래스 내부이므로 private 변수 접근 가능
		hidden(); // 같은 클래스 내부이므로 private 메서드 호출 가능
	}
}
